=== debian/changelog ===
ros-noetic-rm-chassis-controllers (0.1.7-1buster) buster; urgency=high

  * Merge pull request #83 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/83> from rm-controls/dev
    Merge the new OmniController to master
  * Merge pull request #82 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/82> from NaHCO3bc/dev
    Fix some bugs in the new OmniController.
  * Compute the params and fix some bugs.
  * Rename the function forwardKinematics to odometry.
  * Merge pull request #80 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/80> from qiayuanliao/master
    New and elegant OmniController
  * Fix bug in the new OmniController
  * Add a new and elegant OmniController
  * Merge remote-tracking branch 'origin/master'
  * Contributors: NaHCO3bc, QiayuanLiao, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.6-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.5-1buster) buster; urgency=high

  * Update frames in update function.
  * Add command_source_frame to follow mode.
  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Add damping behavior to ReactionWheelController
  * Add recover behavior to ReactionWheelController
  * Add a low-pass filter to eliminate the constant pitch angle offset to ReactionWheelController
  * Add a naive method for determining orientation of balance chassis
  * Use new reaction wheel state space model
  * Add setZero to Q and R
  * Merge remote-tracking branch 'origin/master'
  * Remove "convert model from continuous to discrete time" from ReactionWheel, the rm_common::Lqr accept continuous model.
  * Merge pull request #57 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/57> from NaHCO3bc/master
    Update ReactionWheelController
  * Change the number of joint name reads,change the QR matrix to an array and update the rm_chassis_controllers_plugins.xml.
  * Merge branch 'chassis/reaction_wheel'
  * Merge pull request #56 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/56> from NaHCO3bc/chassis/reaction_wheel
    Update ReactionWheelController
  * Update reaction_wheel.cpp and add template_reaction_wheel.yaml
  * Add some comments of ReactionWheelController
  * Remove BalanceController
  * Add ReactionWheelController
  * Merge pull request #51 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/51> from Edwinlinks/sentry_catapult
    Complete sentry catapult and delete the redundant code
  * Merge branch 'master' into gimbal_track
  * Complete sentry catapult and delete the redundant code
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Merge pull request #50 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/50> from ye-luo-xi-tui/ori
    Make rm_orientation_controller publish tf use imu data on the topic
  * Delete some config files in rm_controller.
  * Add a param publish_odom_tf, it decided whether tf would be published.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Merge branch 'master' into gimbal_track
  * Contributors: Edwinlinks, QiayuanLiao, YuuinIH, mlione, nahco3bc, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.3-1buster) buster; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge pull request #40 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/40> from ye-luo-xi-tui/maintain
    Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into maintain
    # Conflicts:
    #     rm_chassis_controllers/config/standard3.yaml
  * Merge pull request #41 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/41> from ye-luo-xi-tui/standard3
    Update standard3 config
  * Merge branch 'master' into 'standard3'.
  * Merge branch 'master' into maintain
    # Conflicts:
    #     rm_chassis_controllers/config/standard3.yaml
    #     rm_chassis_controllers/config/standard4.yaml
  * Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into standard3
  * Add missing parameters and format rm_chassis_controllers
  * Update standard3 config
  * Merge remote-tracking branch 'origin/master'
  * Update standard3 chassis_controller config.
  * Contributors: QiayuanLiao, qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.2-1buster) buster; urgency=high

  * Merge pull request #31 <https://github.com/rm-controls/rm_controllers/issues/31> from ye-luo-xi-tui/modify_params
    Modify chassis configuration
  * Update standard3.yaml.
  * Update sentry chassis config.
  * Update standard5.yaml
  * Merge pull request #27 <https://github.com/rm-controls/rm_controllers/issues/27> from ye-luo-xi-tui/omni_wheel_controller
    Add omni wheel controller
  * Fix bug in kinematics.
  * Change param name.
  * Merge branch 'master' into omni_wheel_controller
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'rm-controls:master' into master
  * Merge pull request #24 <https://github.com/rm-controls/rm_controllers/issues/24> from ye-luo-xi-tui/fix_power_limit
    Fix a bug in power limit.
  * Add OmniController.
  * Fix a bug in power limit.
    (cherry picked from commit 81d1e880ea67aed189cb762819f63d4a5fba6b9b)
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'rm-controls:master' into master

