=== debian/control ===
Source: ros-noetic-rm-chassis-controllers
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-chassis-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-robot-localization, ros-noetic-roscpp, ros-noetic-tf2-geometry-msgs
Description: RoboMaster standard robot Chassis controller
