## ros-noetic-rm-chassis-controllers 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,10 @@
 
         rm_common
 
+        controller_interface
         effort_controllers
         tf2_geometry_msgs
+        angles
         )
 
 find_package(Eigen3 REQUIRED)
@@ -63,7 +65,7 @@
         src/omni.cpp
         src/sentry.cpp
         src/swerve.cpp
-        src/reaction_wheel.cpp
+        src/balance.cpp
         )
 
 ## Specify libraries to link executable targets against
