=== debian/changelog ===
ros-noetic-rm-chassis-controllers (0.1.10-1focal) focal; urgency=high

  * Merge pull request #112 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/112> from ljq-lv/Delete
    Delete the chassis mode "GYRO"
  * Merge pull request #115 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/115> from Edwinlinks/fix-odom
    Add manner to fix odom2base by adding outside odometry.
  * Merge pull request #119 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/119> from ye-luo-xi-tui/balance_standard
    Clear position when position_des minus position_act bigger than threshold
  * Modify topic name and add comment.
  * Delete the unused header.
  * Add manner to fix odom2base by adding outside odometry.
  * Merge branch 'rm-controls:master' into master
  * Modified the chassis's README
  * Delete the chassis mode "GYRO"
  * Merge pull request #111 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/111> from d0h0s/master
    Updated README.md of rm_chassis_controllers.
  * Repaired the example of chassis_controller.
  * Added the parameters of Omni and fixed the inappropriate description.
  * Updated README.md of rm_chassis_controllers.
  * Merge pull request #108 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/108> from Aung-xiao/master
    add mecanum.yaml
  * change the name of the controller
  * add mecanum.yaml
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Clear position when position_des minus position_act bigger than threshold.
  * Contributors: Aung-xiao, Edwinlinks, QiayuanLiao, d0h0s, ljq-lv, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.9-1focal) focal; urgency=high

  * Merge pull request #105 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/105> from ljq-lv/gimbal_toward
    Add follow gimbal's chassis control
  * Add follow gimbal's chassis control
  * Add follow gimbal's chassis control
  * Merge pull request #100 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/100> from ye-luo-xi-tui/balance_standard
    Add balance chassis controller
  * Update note.
  * Update test.
  * Update controller description.
  * Merge branch 'master' into balance_standard
  * Modify the expected location update policy.
  * Take some joints' name as params.
  * Fix warning.
  * Add power limit.
  * Compute state matrix and control matrix with given params.
  * Add balance_chassis's odometry.
  * Transform IMU's data to base_link.
  * Try to use PID controller to fix the problem that one block's position is differ from another.
  * Revised dynamics model and remove gazebo dependency.
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * Fix mistake of orientation data.
  * Add some test codes for balance chassis.
  * Contributors: ljq-lv, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.8-1focal) focal; urgency=high

  * Merge branch 'master' into target_velocity_correction
  * Merge pull request #89 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/89> from rm-controls/dev
    Merge branch 'dev' into master
  * Merge pull request #88 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/88> from NaHCO3bc/dev
    Add a push_back of joint_handles in the new OmniController.
  * Add a push_back of joint_handles in the new OmniController.
  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/86> from NaHCO3bc/Readme
    Fix the dependence part bug.
  * Fix the dependence part bug.
  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: NaHCO3bc, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.7-1focal) focal; urgency=high

  * Merge pull request #83 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/83> from rm-controls/dev
    Merge the new OmniController to master
  * Merge pull request #82 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/82> from NaHCO3bc/dev
    Fix some bugs in the new OmniController.
  * Compute the params and fix some bugs.
  * Rename the function forwardKinematics to odometry.
  * Merge pull request #80 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/80> from qiayuanliao/master
    New and elegant OmniController
  * Fix bug in the new OmniController
  * Add a new and elegant OmniController
  * Merge remote-tracking branch 'origin/master'
  * Contributors: NaHCO3bc, QiayuanLiao, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.6-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-chassis-controllers (0.1.5-1focal) focal; urgency=high

  * Update frames in update function.
  * Add command_source_frame to follow mode.
  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Add damping behavior to ReactionWheelController
  * Add recover behavior to ReactionWheelController
  * Add a low-pass filter to eliminate the constant pitch angle offset to ReactionWheelController
  * Add a naive method for determining orientation of balance chassis
  * Use new reaction wheel state space model
  * Add setZero to Q and R
  * Merge remote-tracking branch 'origin/master'
  * Remove "convert model from continuous to discrete time" from ReactionWheel, the rm_common::Lqr accept continuous model.
  * Merge pull request #57 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/57> from NaHCO3bc/master
    Update ReactionWheelController

